-- ##########################################
-- #	Fortuna D2 Functions			 	#
-- #										#
-- #	@author	FSM-Team					#
-- #	@date	23.09.2015					#
-- #	@version	1.1						#
-- #										#
-- #	This script controls the 			#
-- #	hitch plate and attacher spring		#
-- #										#
-- ##########################################

d2 = {};

function d2.prerequisitesPresent(specializations)
    return true;
end;

function d2:load(xmlFile)
	self.spring = {};
	
	local part1 = Utils.indexToObject(self.components, getXMLString(xmlFile, "vehicle.d2.spring#index"));
	for _, part in pairs(self.movingParts) do
		if part.node == part1 then
			self.spring.part1 = part;
			break;
		end;
	end;
	self.updateSpring = 100;
	
end;

function d2:delete()
end;

function d2:mouseEvent(posX, posY, isDown, isUp, button)
end;

function d2:keyEvent(unicode, sym, modifier, isDown)
end;

function d2:update(dt)
	
	if self:getIsActive() then
		self.updateSpring = 100;
	end;
	if self.updateSpring > 0 then
		Cylindered.updateMovingPart(self, self.spring.part1);	
		self.updateSpring = self.updateSpring - 1;
	end;
	
end;

function d2:onLeave()
end;

function d2:draw()
end;

function d2:validateAttacherJoint(implement, jointDesc, dt)
    return true;
end;

